<?php
namespace Teknisa\SM\Factory;

use Doctrine\ORM\EntityManager;

class Sm00006001TabelaPrecoServicoFactory
{
    
    protected $connection;
    
    public function __construct(EntityManager $entityManager) {
        
        $this->connection = $entityManager->getConnection();
    }
    
    /**
     * A função "validaServicoTabela" verifica se o serviço 
     * que está sendo relacionado já está relacionado na tabela.
     */
    
    public function validaServicoTabela($params){
        
        $sql = "SELECT COUNT(*) AS VALIDASERV
                  FROM FCT_ITPRECBASESERV
                 WHERE CDSERVORCA IN (".$params['CDSERVORCA'].")
                   AND CDTPMEDIDASERV = :CDTPMEDIDASERV
                   AND CDPRECBASESERV = :CDPRECBASESERV
                   AND NRORG = :NRORG";
        
        unset($params['CDSERVORCA']);
        $std = $this->connection->prepare($sql);
        $std->execute($params);
        $return = $std->fetchAll();
        return $return;
    }
    
}
?>